Loading...
Searching...
No Matches
Opm::BasicBoundaryConditions< FC, SC, ZC, numComponents > Class Template Reference
Inheritance diagram for Opm::BasicBoundaryConditions< FC, SC, ZC, numComponents >:

## Public Types

typedef std::conditional< FC, std::vector< FlowBC >, DummyVec< FlowBC > >::type | FlowConds
typedef std::conditional< SC, std::vector< SatBC >, DummyVec< SatBC > >::type | SatConds
typedef std::conditional< ZC, std::vector< SurfvolBC< numComponents > >, DummyVec< SurfvolBC< numComponents > > >::type | SurfvolConds

## Public Member Functions

| BasicBoundaryConditions (int num_different_boundary_ids)
void | resize (int new_size)
bool | empty () const
void | clear ()
int | size () const
FlowBC & | flowCond (int i)
const FlowBC & | flowCond (int i) const
template<class BoundaryFace>
const FlowBC & | flowCond (const BoundaryFace &bf) const
SatBC & | satCond (int i)
const SatBC & | satCond (int i) const
template<class BoundaryFace>
const SatBC & | satCond (const BoundaryFace &bf) const
SurfvolBC< numComponents > & | surfvolCond (int i)
const SurfvolBC< numComponents > & | surfvolCond (int i) const
template<class BoundaryFace>
const SurfvolBC< numComponents > & | surfvolCond (const BoundaryFace &bf) const
template<typename charT, class traits>
void | write (std::basic_ostream< charT, traits > &os) const
Public Member Functions inherited from Opm::PeriodicConditionHandler
| PeriodicConditionHandler (int num_different_boundary_ids)
void | resize (int new_size)
bool | empty () const
void | clear ()
int | size () const
void | setPeriodicPartners (int boundary_id_1, int boundary_id_2)
int | getPeriodicPartner (int boundary_id) const
void | setCanonicalBoundaryId (int boundary_id, int canonical_bid)
int | getCanonicalBoundaryId (int boundary_id) const
template<typename charT, class traits>
void | write (std::basic_ostream< charT, traits > &os) const

## Static Public Attributes

static const bool | HasFlowConds = FC
static const bool | HasSatConds = SC
static const bool | HasSurfvolConds = SC

The documentation for this class was generated from the following file:

- opm/porsol/common/BoundaryConditions.hpp